import { OnInit, EventEmitter, OnChanges, TemplateRef } from '@angular/core';
export declare class FilterSelectComponent implements OnInit, OnChanges {
    choices: any[];
    itemTemplate: TemplateRef<any>;
    noMatchesTemplate: TemplateRef<any>;
    placeholderText: any;
    selected: any;
    refreshButtonTemplate: TemplateRef<any>;
    filterPredicate: (item: any, filterVal: string) => boolean;
    onSelect: EventEmitter<any>;
    immutableChoices: any[];
    inputFocused: boolean;
    activeItem: number;
    filterValue: string;
    ngOnInit(): void;
    ngOnChanges(): void;
    onChangeFilter(filterVal: string): void;
    defaultFilterPredicate(item: object, filterVal: string): boolean;
    select(item: any): void;
    focusFilter(): void;
    blurFilter(): void;
    selectNext(direction: string): void;
    clearFilter(): void;
}
